package io.nexilis.service.data.daos

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import io.nexilis.service.data.entities.*

@Dao
interface FormDao {

    @Query("select * from Form")
    fun getAll(): LiveData<List<Form>>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(entity: Form)

    @Query("delete from Form")
    suspend fun deleteAll()

}